using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.HM;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.BS
{
    /// <summary>
    /// 检查内容表
    /// </summary>
    [Description("安全检查库责任部门")]
    public class T_BS_CHECK_CONTENT_MAIN_DEPARTMENT : MesEntityBase
    {
        /// <summary>
        /// 检查内容
        /// </summary>
        [Description("检查内容")]
        [DataFieldForeignKey("Nav_Main", "Nav_ListMainDep")]
        [FormFieldTable]
        [FormFieldEdit]
        public Guid? MAIN_ID { get; set; }

        /// <summary>
        /// 检查内容
        /// </summary>
        [Description("导航：检查内容")]
        public virtual T_BS_CHECK_MAIN Nav_Main { get; set; }

        /// <summary>
        /// 责任对象
        /// </summary>
        [Description("责任对象")]
        [FormFieldTable]
        [FormFieldEdit]
        public BSPLANCHECKOBJECTEnum RESPONOBJECT { get; set; } = BSPLANCHECKOBJECTEnum.Head;

        /// <summary>
        /// 检查部门
        /// </summary>
        [Description("责任部门")]
        [DataFieldForeignKey("Nav_Department")]
        [FormFieldTable]
        [FormFieldEdit]
        public Guid? DEPARTMENT_ID { get; set; }

        /// <summary>
        /// 责任部门
        /// </summary>
        [Description("导航：责任部门")]
        public T_FM_DEPARTMENT Nav_Department { get; set; }

    }
}
